[Distutils] `pkg_resources.require()` doesn’t see wxPython

Tarek Ziadé ziade.tarek at gmail.com
Sat Nov 14 10:46:49 CET 2009

On Fri, Nov 13, 2009 at 9:55 PM, cool-RR <cool-rr at cool-rr.com> wrote:
> I'm having trouble using Distribute's pkg_resources.require(). I posted a
> question on StackOverflow:
> http://stackoverflow.com/questions/1728676/pkgresources-require-doesnt-see-wxpython
> I hope someone here has an answer.
> Thanks, Ram.

If pkg_resources doesn't find it, it might be that it doesn't have
somehow an egg-info folder or file in site-packages,
or that the project name is not what you are expecting ('wxpython')

Look for that egg-info and search for the name of the project. In
*egg-info/PKG-INFO or in egg-info itself.


More information about the Distutils-SIG mailing list